Skip to main content
`Ctrl`+`K`

# SVDDestroy

Destroys the `SVD` context.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDDestroy(SVD *svd)

Collective

## Input Parameter

- svd - the singular value solver context

## See Also

SVD: Singular Value Decomposition, `SVDCreate()`, `SVDSetUp()`, `SVDSolve()`

## Level

beginner

## Location

src/svd/interface/svdbasic.c

## Examples

src/svd/tutorials/ex45.c
src/svd/tutorials/ex14.c
src/svd/tutorials/ex53.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex51.c
src/svd/tutorials/ex8.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex48.c
src/svd/tutorials/ex52.c

## Implementations

SVDDestroy_Cross() in src/svd/impls/cross/cross.c
SVDDestroy_Cyclic() in src/svd/impls/cyclic/cyclic.c
SVDDestroy_Elemental() in src/svd/impls/external/elemental/svdelemen.cxx
SVDDestroy_KSVD() in src/svd/impls/external/ksvd/svdksvd.c
SVDDestroy_PRIMME() in src/svd/impls/external/primme/svdprimme.c
SVDDestroy_ScaLAPACK() in src/svd/impls/external/scalapack/svdscalap.c
SVDDestroy_Lanczos() in src/svd/impls/lanczos/gklanczos.c
SVDDestroy_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages